#!/bin/sh
set -e

# Check if the buildstamp file exists
if [ -f /buildstamp.txt ]; then
  # Read the build timestamp from the file
  BUILD_TIMESTAMP=$(cat /buildstamp.txt)
  # Echo the message
  echo "This container is running an image that was built on: $BUILD_TIMESTAMP"
else
  echo "Build timestamp file (/buildstamp.txt) not found!"
fi

exec "$@"